Name: libfvalue
Version: 20240124
Release: 1
Summary: Library to support various format value types
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libfvalue
        
BuildRequires: gcc        

%description -n libfvalue
Library to support various format value types

%package -n libfvalue-static
Summary: Library to support various format value types
Group: Development/Libraries
Requires: libfvalue = %{version}-%{release}

%description -n libfvalue-static
Static library version of libfvalue.

%package -n libfvalue-devel
Summary: Header files and libraries for developing applications for libfvalue
Group: Development/Libraries
Requires: libfvalue = %{version}-%{release}

%description -n libfvalue-devel
Header files and libraries for developing applications for libfvalue.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libfvalue
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libfvalue-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libfvalue-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfvalue.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Wed Jan 24 2024 Joachim Metz <joachim.metz@gmail.com> 20240124-1
- Auto-generated

